> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/travel-rule/create-trust-network-proof-of-address",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create Trust Network Proof of Address

> Creates a cryptographic proof of address ownership for TRUST network.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /screening/travel_rule/providers/trust/proof_of_address
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/travel_rule/providers/trust/proof_of_address:
    post:
      tags:
        - Travel Rule
      summary: Create Trust Network Proof of Address
      description: Creates a cryptographic proof of address ownership for TRUST network.
      operationId: createTrustProofOfAddress
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TrustProofOfAddressRequest'
      responses:
        '201':
          description: Proof of address transaction created successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustProofOfAddressCreateResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TrustProofOfAddressCreateResponse>> =
            fireblocks.travelRule.createTrustProofOfAddress(travelRuleApiCreateTrustProofOfAddressRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TrustProofOfAddressCreateResponse>>
            response =
            fireblocks.travelRule().createTrustProofOfAddress(trustProofOfAddressRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.travel_rule.create_trust_proof_of_address(trust_proof_of_address_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    TrustProofOfAddressRequest:
      type: object
      description: >-
        Request to create a cryptographic proof of address ownership for TRUST
        network compliance
      properties:
        vaultAccountId:
          type: string
          format: numeric
          x-fb-entity: vault_account
          description: The ID of the vault account.
          example: '0'
        asset:
          type: string
          description: The asset identifier for which proof of address is being created.
          example: ETH
        prefix:
          type: string
          description: The prefix to be used for signing messages.
          minLength: 1
          maxLength: 255
          example: trust_verification
        trustUuid:
          type: string
          format: uuid
          description: >-
            A unique identifier (UUID) obtained from TRUST
            (CreateAddressOwnership)
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - vaultAccountId
        - asset
        - prefix
        - trustUuid
    TrustProofOfAddressCreateResponse:
      type: object
      description: Response from creating a proof of address transaction
      properties:
        transactionId:
          type: string
          format: uuid
          description: Transaction ID from Fireblocks (UUID format)
          example: 550e8400-e29b-41d4-a716-446655440000
        status:
          $ref: '#/components/schemas/TypedMessageTransactionStatusEnum'
      required:
        - transactionId
        - status
    TypedMessageTransactionStatusEnum:
      type: string
      description: >-
        Status of the typed message transaction from Fireblocks. For details,
        see [Primary transaction
        statuses](https://developers.fireblocks.com/reference/primary-transaction-statuses)
      enum:
        - SUBMITTED
        - QUEUED
        - PENDING_SIGNATURE
        - PENDING_AUTHORIZATION
        - PENDING_3RD_PARTY_MANUAL_APPROVAL
        - PENDING_3RD_PARTY
        - BROADCASTING
        - PENDING_AML_SCREENING
        - CONFIRMING
        - PARTIALLY_COMPLETED
        - PENDING_EMAIL_APPROVAL
        - CANCELLED
        - REJECTED
        - FAILED
        - TIMEOUT
        - BLOCKED
      example: PENDING_SIGNATURE
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````